<?php

// error_reporting(E_ALL);

/**
 * Front-end of ExLink_XH.
 *
 * Copyright (c) 2012 Lubomyr Kudray (see license.txt)
 */

include_once $pth['folder']['plugins'] . 'jquery/jquery.inc.php';
include_jQuery();
include_jQueryUI();

$hjs .=
    '<script type="text/javascript" src="' . $pth['folder']['plugins'] . 'exlink/exlink_base64.js"></script>' . "\n";


if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}

define('EXLINK_NAME','ExLink_XH');
define('EXLINK_VERSION','0.2, 2012.12.05');

global $hjs,$pth,$ptx,$plugin_tx,$plugin_cf;

$ptx = $plugin_tx['exlink'];
$pcf = $plugin_cf['exlink'];

$ex_iconpth = $pth['folder']['plugins'] . "exlink/images/help.png";
$ex_dlgicon = tag('img src="' . $ex_iconpth . '" width="48" height="48" alt="?" ');
$ex_popupmsg = sprintf($ptx['ex_confirm'],"<br />'+(ex_link)+'<br />");
$ex_popup = $pcf['ex_show_popup'];
$ex_icon = $pcf['ex_link_decor'];
$ex_base64 = $pcf['ex_base64'];
$ex_nofollow = $pcf['ex_nofollow'];
$ex_target = $pcf['ex_target'];

if ($ex_icon==1) {
  $hjs .=
      '<style type="text/css">'
    . '/*<![CDATA[*/'
    . '.ex_outLink{'
  	. 'background:url(' . $pth['folder']['plugins']
                        . $pcf['ex_icon_pth']
                        . $pcf['ex_icon'] . '.png) right 2px no-repeat;'
  	. 'padding-right:14px;'
    . '}'
    . '/*]]>*/'
    . '</style>';
}
$hjs .=
  '<script type="text/javascript">
    $(document).ready(function()
    {
      var ex_http = "http://";
      var ex_httplen = ex_http.length;
/* Creating link from span */       
      $("#hidden-link").replaceWith(function()
      {
        if ('.$ex_base64.'=="1")
        {
          var ex_seolink = $(this).data(\'link\');
          ex_seolink = encodeBase64(ex_seolink);
        }
        else {
          ex_seolink = $(this).data(\'link\');
        }
        return \'<a href="\'+ex_http+ex_seolink+\'">\'+$(this).text()+\'</a>\';
      });
/* Creating custom :external selector */
      $.expr[":"].ex_outLink = function(obj){
        return !obj.href.match(/^mailto\:/)
            && !obj.href.match(/^javascript\:/)
            && (obj.hostname != location.hostname);
      };
/* Add \'external\' CSS class to all external links, if is not anchor ect - [href] . */
      $("a[href]:ex_outLink").addClass("ex_outLink");

/* Add attribute \'_blank\' to all external links */
      if ('.$ex_target.'=="1") {
        $("a[href]:ex_outLink").attr("target", "_blank");
      }
/* Add attribute \'nofollow\' to all external links */
      if ('.$ex_nofollow.'=="1") {
        $("a[href]:ex_outLink").attr("rel", "nofollow");
      }
/* Link click */
      $(\'.ex_outLink\').click(function()
      {
        var ex_link =  $(this).attr(\'href\');
        if ('.$ex_base64.'=="1")
        {
          var ex_linkres = ex_link.slice(ex_httplen);
          var ex_linkdecoded = decodeBase64(ex_linkres);
          if (ex_linkres.indexOf(".") < 0) {
            ex_link = ex_http+ex_linkdecoded;
          }
          else { 
            ex_link = $(this).attr(\'href\');
          }
        }
/* Popup dialog */
        if ('.$ex_popup.'=="1")
        {
          $(\'<div>'.$ex_dlgicon.$ex_popupmsg.'</div>\').dialog({
            title: "'.$ptx['ex_title'].'",
            minWidth : 300,
            width : "auto",
            position : ["center","center"],
            modal : true,
            overlay: {
              backgroundColor: \'#000\',
              opacity: 0.5
            },
            buttons: {
              '.$ptx['ex_okbtn'].': function() {
                $(this).dialog(\'close\').remove();
                window.open(ex_link);
              },
              '.$ptx['ex_cancelbtn'].': function() {
                $(this).dialog(\'close\').remove();
                return false;
              }
            }
          });
        } // if ($ex_popup
        else {
          window.open(ex_link);
        } // else
        return false;
      });
    });
  </script>'
. "\n";

function exlink()
{
  $exo .= tag("br")."\n";
  $exo .= '** ******************************************************* */';
  $exo .= '<h4>Calling exlink() function (for demo only)</h4>';
  $exo .= '<p>CODE</p>';
  $exo .= '<textarea style="font-family:monospace" rows="1">{{{PLUGIN:exlink();}}}</textarea>';
//
  $exo .= '<h4>Seadch engine optimized link format (SEO)</h4>';
  $exo .= '<span id="hidden-link" data-link="www.example.com">www.example.com</span>';
  $exo .= '<p>CODE</p>';
  $exo .= '<textarea style="font-family:monospace" rows="1">&lt;span id=&quot;hidden-link&quot; data-link=&quot;http://www.example.com&quot;&gt;www.example.com&lt;/span&gt;</textarea>';
//
  $exo .= '<h4>Regular link</h4>';
  $exo .= '<a href="http://www.example.com">www.example.com</a>';
  $exo .= '<p>CODE</p>';
  $exo .= '<textarea style="font-family:monospace" rows="1">&lt;a href=&quot;http://www.example.com&quot;&gt;www.example.com&lt;/a&gt;</textarea>';
//
  $exo .= '<h4>Remove class for existing link</h4>';
//
  $exo .= '<p>Sample 1</p>';
  $exo .= '<a style="background: inherit;" href="http://www.kudray.com">www.kudray.com</a>';
  $exo .= '<p>CODE</p>';
  $exo .= '<textarea style="font-family:monospace" rows="1">&lt;a style=&quot;background: inherit;&quot; href=&quot;http://www.example.com&quot;&gt;www.example.com&lt;/a&gt;</textarea>';

  $exo .= '<p>Sample 2</p>';
  $exo .= '<a style="background: transparent;" href="http://www.example.com">www.example.com</a>';
  $exo .= '<p>CODE</p>';
  $exo .= '<textarea style="font-family:monospace" rows="1">&lt;a style=&quot;background: transparent;&quot; href=&quot;http://www.example.com&quot;&gt;www.example.com&lt;/a&gt;</textarea>';

  return $exo;
}

?>